clang 10.0.0git

Public Member Functions | Friends | List of all members
clang::BaseSubobject Class Reference

`#include "clang/AST/BaseSubobject.h"`

## Public Member Functions
| BaseSubobject ()=default
| BaseSubobject (const CXXRecordDecl *Base, CharUnits BaseOffset)
const CXXRecordDecl * | getBase () const
| getBase - Returns the base class declaration. More...
CharUnits | getBaseOffset () const
| getBaseOffset - Returns the base class offset. More...

## Friends
bool | operator== (const BaseSubobject &LHS, const BaseSubobject &RHS)

## Detailed Description

Definition at line 30 of file BaseSubobject.h.

## Constructor & Destructor Documentation

## ◆ BaseSubobject() [1/2]

clang::BaseSubobject::BaseSubobject | ( |  | ) |
| default

## ◆ BaseSubobject() [2/2]

clang::BaseSubobject::BaseSubobject | ( | const CXXRecordDecl * | Base,
|  | CharUnits | BaseOffset
| ) |  |
| inline

Definition at line 39 of file BaseSubobject.h.

## Member Function Documentation

## ◆ getBase()

const CXXRecordDecl* clang::BaseSubobject::getBase | ( |  | ) | const
| inline

getBase - Returns the base class declaration.

Definition at line 43 of file BaseSubobject.h.

Referenced by clang::CodeGen::CodeGenVTables::GenerateConstructionVTable(), and llvm::DenseMapInfo< clang::BaseSubobject >::getHashValue().

## ◆ getBaseOffset()

CharUnits clang::BaseSubobject::getBaseOffset | ( |  | ) | const
| inline

getBaseOffset - Returns the base class offset.

Definition at line 46 of file BaseSubobject.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitVTableAssumptionLoad(), clang::CodeGen::CodeGenVTables::GenerateConstructionVTable(), llvm::DenseMapInfo< clang::BaseSubobject >::getHashValue(), clang::CodeGen::CodeGenFunction::InitializeVTablePointer(), and mangleVFTableName().

## Friends And Related Function Documentation

## ◆ operator==

bool operator== | ( | const BaseSubobject & | LHS,
|  | const BaseSubobject & | RHS
| ) |  |
| friend

Definition at line 48 of file BaseSubobject.h.

The documentation for this class was generated from the following file:

- include/clang/AST/BaseSubobject.h